> ## Documentation Index
> Fetch the complete documentation index at: https://docs.matia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Run an integration



## OpenAPI

````yaml POST /integrations/{id}/run
openapi: 3.0.1
info:
  title: OpenAPI Matia
  description: Matia API using the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.matia.io/v1
security:
  - ApiKeyAuth: []
paths:
  /integrations/{id}/run:
    post:
      summary: Run a sync for a specific integration
      parameters:
        - name: id
          in: path
          description: ID of the integration to run
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Integration ran successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncIntegrationApiResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    SyncIntegrationApiResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        data:
          type: object
          properties:
            id:
              type: string
              description: ID of the integration that was ran
    Error:
      required:
        - error
        - message
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````